#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <libbonoboui.h>

static GtkWidget *
widget_new (void)
{
	GtkWidget *widget;

	widget = gtk_label_new ("how can I?");

	return widget;
}

static BonoboObject *
bonobo_mozplugin_factory (BonoboGenericFactory	*this,
			  const char		*oaf_iid,
			  gpointer		 data)
{
	GtkWidget *widget;
	BonoboControl *control;

	g_return_val_if_fail (this != NULL, NULL);
	g_return_val_if_fail (oaf_iid == "OAFIID:Bonobo_Mozplugin_Control", NULL);

	widget = widget_new ();
	control = bonobo_control_new (widget);

	return BONOBO_OBJECT (control);
}

gint
main (gint argc, gchar **argv)
{
	bindtextdomain (PACKAGE, GNOMELOCALEDIR);
	bind_textdomain_codeset (PACKAGE, "UTF-8");
	textdomain (PACKAGE);

	BONOB_FACTORY_INIT (PACKAGE, VERSION, &argc, argv);

	return bonobo_generic_factory_main ("OAFIID:Bonobo_Mozplugin_Factory",
					    bonobo_mozplugin_factory, NULL);
}
